﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using GraphLib;

namespace GraphLibSample
{
    public partial class MainFrame : Form
    {
        public MainFrame()
        {
            InitializeComponent();
        }

        private void OnAddNode(object sender, EventArgs e)
        {
            GraphNode node = new GraphNode("New Node","With a subtitle");
            m_GraphCtl.AddNode(node);
        }

        private void OnAddPinTop(object sender, EventArgs e)
        {
            foreach (GraphNode node in m_GraphCtl.SelectedNodes)
            {
                GraphPin gp = new GraphPin("New Pin", GraphPinOrientation.Top);
                node.AddPin(gp);
            }
            m_GraphCtl.Refresh();
        }

        private void OnAddPinBottom(object sender, EventArgs e)
        {
            foreach (GraphNode node in m_GraphCtl.SelectedNodes)
            {
                GraphPin gp = new GraphPin("New Pin", GraphPinOrientation.Bottom);
                node.AddPin(gp);
            }
            m_GraphCtl.Refresh();
        }

        private void OnAddPinLeft(object sender, EventArgs e)
        {
            foreach (GraphNode node in m_GraphCtl.SelectedNodes)
            {
                GraphPin gp = new GraphPin("New Pin", GraphPinOrientation.Left);
                node.AddPin(gp);
            }
            m_GraphCtl.Refresh();
        }

        private void OnAddPinRight(object sender, EventArgs e)
        {
            foreach (GraphNode node in m_GraphCtl.SelectedNodes)
            {
                GraphPin gp = new GraphPin("New Pin", GraphPinOrientation.Right);
                node.AddPin(gp);
            }
            m_GraphCtl.Refresh();
        }

        private void OnClear(object sender, EventArgs e)
        {
            m_GraphCtl.Clear();
        }

        private void OnRemoveSelection(object sender, EventArgs e)
        {
            foreach (GraphNode node in m_GraphCtl.SelectedNodes) m_GraphCtl.RemoveNode(node);
            foreach (PinConnection pc in m_GraphCtl.SelectedConnections) m_GraphCtl.RemoveConnection(pc);
            m_GraphCtl.Refresh();
        }
    }
}
